
QGIS Application - Bug report #11118

s undefined in GrassUtils.py

2014-08-29 01:48 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19447

Description

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass/GrassUtils.py#L387

fix: insert @L387

s = traceback.format_exc()

...

Associated revisions

Revision 72259135 - 2014-10-02 04:58 PM - Alexander Bruy

[processing] remove undefined variable (fix #11118)

History

#1 - 2014-08-29 01:48 AM - Alessandro Pasotti

- Category set to 94

#2 - 2014-08-29 05:26 AM - Alessandro Pasotti

Also needs to 

import traceback

.. or drop " + s " entirely.

#3 - 2014-10-02 08:00 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"72259135b1f012ad61807be0d9900c4a5f83142d".

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass/GrassUtils.py#L387

